#include "BlackjackPlayerStatus.h"

void PrintStatus(BlackjackPlayerStatus &PlayerStatus){
  Serial.print("Table : ");
  Serial.print(PlayerStatus.table_number,DEC);
  Serial.print(" ,Position : ");
  Serial.print(PlayerStatus.player_position,DEC);
  Serial.print(" ,Cards : ");
  Serial.println(PlayerStatus.cards_number,DEC);
}

void setup()                      // the set up part (runsonly once)
{
  Serial.begin(9600);             // set up Serial library at 9600 bps  
  
  //Assign status at john and mary
  BlackjackPlayerStatus JohnBlackjackStatus = {2,3,1}; //John Sits at table 2 at position 3with one card in hand 
  BlackjackPlayerStatus MaryBlackjackStatus = {1,2,3}; //Mary sits at table 1 at position 2 with three cards in hand
  BlackjackPlayerStatus BobBlackjackStatus = {5,4,3}; //Bob sits at table 5 at position 4 with three cards in hand

  //Print status
  Serial.println("John's status : ");
  PrintStatus(JohnBlackjackStatus);
  Serial.println("Mary's status : ");
  PrintStatus(MaryBlackjackStatus);
  Serial.println("Bob's status : ");
  PrintStatus(BobBlackjackStatus);
  
  Serial.println("It is Bob's turn. Bob thinks ...");
  delay(3000);
  
  Serial.println("Bob decides to hit (take a card)");
  BobBlackjackStatus.cards_number = BobBlackjackStatus.cards_number + 1; 
  
  Serial.println("Bob's new status : ");
  PrintStatus(BobBlackjackStatus);
  
}

void loop()                       // The main loop (runs over and over again)
{
                                  // do nothing...
}
